Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® Device software

Reply
New Contributor
JW1980
Posts: 7
Registered: ‎04-25-2012
My Device: Bold 9790
My Carrier: Orange UK

Help ! Cannot update my Bold 9790

Hi

 

am having a bit of a stress trying to get my bold updated to the latest version of the OS.

 

It started when my carrier orange UK stated on their website I could upgrade to version 7.1. Really want this due to the battery saving mode as an I high user.

 

I could not find the update on RIM’s website or access it thought he desktop software.

 

I spoke to orange & they are not sure currently but advised me to update to bundle version v7.0.0.2487 first.

 

The problem is that the OTA says the phone is up to date as does the desktop software.

 

I have updated the desktop software, manager & device drivers on my PC to the latest version but still luck.

 

Then tried the check for updates option on www.blackberry.com/update No luck there either.

 

I then went to this link https://swdownloads.blackberry.com/Downloads/browseSoftware.do;jsessionid=A79A0606D0D84023D31D69DFD9... & after reluctantly proving info about my job downloaded & installed the version to my PC.

 

Still though nothing is showing up when connect & run the desktop software. All it will let me do is reinstall the current version which is v7.0.0.2254 (I have cancelled at this point).

 

I have even tried connecting the phone without the battery in to force the update but just get the same thing

 

I am little new to Blackberry but am fairly proficient with a computer so am coming to a bit of a brick wall.

 

Does anyone have any ideas on how I can sort this. Hope I am not doing anything too daft.

 

Thanks

Please use plain text.
Hall of Famer II
sdgardne
Posts: 47,023
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.1.3247), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Help ! Cannot update my Bold 9790

Hello,

 


JW1980 wrote:

Hi

 

It started when my carrier orange UK stated on their website I could upgrade to version 7.1. Really want this due to the battery saving mode as an I high user.

 

I could not find the update on RIM’s website or access it thought he desktop software.

 

I spoke to orange & they are not sure currently but advised me to update to bundle version v7.0.0.2487 first.

 


According to the official portal (which, btw, the carrier controls the content of, even though it's provided via RIM), the bundle they instructed you to use is their most recently supported version (7.0.0.611)...they have no 7.1 OS package there. So, they (Orange) needs to straighten this bit out (the bit about them "advertising" an OS package, but then not putting it into the proper places to actually release it to their users).


JW1980 wrote:

 

The problem is that the OTA says the phone is up to date as does the desktop software.

 

I have updated the desktop software, manager & device drivers on my PC to the latest version but still luck.

 

Then tried the check for updates option on www.blackberry.com/update No luck there either.

 


All of those methods leave it to your carrier to control the OS that they make available to you...and that likely matches what the official download portal shows, which is why they all say "up-to-date"...until Orange fixes their mess, you cannot rely on these "automated" methods for update since they are receiving potentially inaccurate information from Orange.

 


JW1980 wrote:

 

I then went to this link https://swdownloads.blackberry.com/Downloads/browseSoftware.do;jsessionid=A79A0606D0D84023D31D69DFD9... & after reluctantly proving info about my job downloaded & installed the version to my PC.

 


Please provide the actual filename...since there are multiple choices in the download portal, you've left it for us to guess...not useful. But, if it's this:

9790jAllLang_PBr7.0.0_rel2487_PL9.16.0.90_A7.0.0.611_Orange_UK.exe

Then that indeed is the latest version they put on the porta (7.0.0.611). The "bundle" numbers you are posting are much less useful, btw, than the full and proper OS level, which you can always view here:

KB23393 How to check the model number and version of installed BlackBerry device software on a BlackBerry smartphone


JW1980 wrote:

 

Still though nothing is showing up when connect & run the desktop software. All it will let me do is reinstall the current version which is v7.0.0.2254 (I have cancelled at this point).

 


If the OS package matches what is already installed to your BB, then this would be normal. Also, if you happen to have more than one OS package installed to your PC, this could be confusing the Desktop Software...please uninstall, from your PC, any BB OS packages that you don't wish to work with for this session, leaving only the one installed to your PC.

 

But, again, please let us know your precise and proper BB OS version running on your BB as well as the filename of the OS package you are attempting to use...they may well be identical, which may well mean that the "error messages" are actually accurate.


JW1980 wrote:

 

I have even tried connecting the phone without the battery in to force the update but just get the same thing

 

I am little new to Blackberry but am fairly proficient with a computer so am coming to a bit of a brick wall.

 

Does anyone have any ideas on how I can sort this. Hope I am not doing anything too daft.

 


The answers to the above (the OS that your BB is running along with the filename of the OS package you wish to use) will provide good guidance. But, see this:


From a PC, you can install any compatible (e.g., for your exact BB Model Number) OS package to a BB via this procedure:



Note that while written for "reload" and the Storm, it can be used to upgrade, downgrade, or reload any BB device model -- it all depends on the OS package you download and install to your PC. You can even use a different carriers OS package by simply inserting, between steps 1 and 2, the deletion, on your PC, of a file(s) named VENDOR.XML. Be sure that you remove, from your PC, any other BB device OS packages as having more than one installed to the PC can cause conflicts with this procedure.

If you are on MAC, you are limited to only your carriers sanctioned OS packages...but can still use any levels that they currently sanction. See this procedure:


  • KB19915How to perform a clean reload of BlackBerry smartphone application software using BlackBerry Desktop Software


Good luck and let us know!



Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Please use plain text.
New Contributor
JW1980
Posts: 7
Registered: ‎04-25-2012
My Device: Bold 9790
My Carrier: Orange UK

Re: Help ! Cannot update my Bold 9790

Hi,

 

Thanks for your detailed response. Things making a bit more sense now.

 

In answer to your questions, yes the file I have downloaded & installed was

9790jAllLang_PBr7.0.0_rel2487_PL9.16.0.90_A7.0.0.6​11_Orange_UK.exe which is a newer version of the actual OS than I currently have ( 7.0.0.528)

 

I also made sure this was the only version I had installed on my PC.

 

I have had a word with orange customer support as not really right that they're advertising version 7.1 OS as available for download on their Uk help and support site.

 

I have done some more reading on line about the hardware of the blackberry & think the issue might be to do with my vendor ID.

 

I brought the phone new with a contract from phones 4 u and the handset was classed as 'unlocked' This works in terms of any sim card as I have tried it but I tried a ctl, shift h and see my vendor ID is 301. On thing this looks like carphone warehouse (even more bizarre as I got in on phones 4 u).

 

I am assuming the vendor Id is used buy the phone & desktop software when checking for which update my carried is allowing me to have?

 

If this is the case as I right in thinking I can install the version orange recommended to my PC then just delete the vendor.xml files to get it to install?

 

That way then I will be using the official software from orange & get all the needed embedded settings (and orange / RIM support if needed).

 

Looking at the way the hardware works I think I already know the answer tot his but going to ask, can the vendor ID on the handset be changed or is it hard coded in?

 

Thanks

 

Please use plain text.
Hall of Famer II
sdgardne
Posts: 47,023
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.1.3247), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Help ! Cannot update my Bold 9790


JW1980 wrote:

 

I am assuming the vendor Id is used buy the phone & desktop software when checking for which update my carried is allowing me to have?

 

If this is the case as I right in thinking I can install the version orange recommended to my PC then just delete the vendor.xml files to get it to install? 


Yes. If VENDOR.XML remains on the PC, then a cross-check is done between that and the VendorID encoded into the BB itself. If they do not match, the BB OS package cannot be used on that BB. By deleting VENDOR.XML (at least one, often two) that cross-check is bypassed, allowing any BB OS package to be used on any BB (as long as they are both for the exact same BB Model number).


JW1980 wrote:

 

Looking at the way the hardware works I think I already know the answer tot his but going to ask, can the vendor ID on the handset be changed or is it hard coded in? 


Hard coded.


Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Please use plain text.
New Contributor
JW1980
Posts: 7
Registered: ‎04-25-2012
My Device: Bold 9790
My Carrier: Orange UK

Re: Help ! Cannot update my Bold 9790

Hi Many thanks again,

 

Will doing the update this effectively be a clean install or over the top of what I have on there?

 

Also I have read on various sites some people are recommending DM & other app loader. Is there any difference or is one method better than the other?

 

I guess it it all goes wring I can just reinstall the current version?

 

Thanks

Please use plain text.
Hall of Famer II
sdgardne
Posts: 47,023
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.1.3247), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Help ! Cannot update my Bold 9790


JW1980 wrote:

 

Will doing the update this effectively be a clean install or over the top of what I have on there?

 


Yes. You must be certain to take a backup before and restore afterwards:

  • KB23680 Backup BlackBerry smartphone data using BlackBerry Desktop Software 6.0 to 7.0
  • KB10339 How to use BlackBerry Desktop Software to restore data to a BlackBerry smartphone from a backup file

JW1980 wrote:

 

Also I have read on various sites some people are recommending DM & other app loader. Is there any difference or is one method better than the other?


There are several methods of loading an OS onto the BB. But, at their core, they all launch LOADER.EXE to perform their actions. Most of the other methods simply provide an easier way to get to LOADER.EXE. 


JW1980 wrote:

 

I guess it it all goes wring I can just reinstall the current version?


Yes...as it says above, the process can be used to install ANY compatible (exact same BB model number) OS package onto the BB.


Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Please use plain text.
New Contributor
JW1980
Posts: 7
Registered: ‎04-25-2012
My Device: Bold 9790
My Carrier: Orange UK

Re: Help ! Cannot update my Bold 9790

Thanks again.

 

Just one more question. If I delete the vendor.xml file that means I can install any OS as long as its been made for my handset model. That means I could install say version 7.1 that has been released from another carrier.

 

Would this result in possible loss of functions though as not specifically written for my carrier?

 

Thanks

Please use plain text.
Hall of Famer II
sdgardne
Posts: 47,023
Registered: ‎11-28-2008
My Device: Z30, Z10 & Q10 (10.2.1.3247), Playbook (2.1.0.1526)
My Carrier: TMobile USA

Re: Help ! Cannot update my Bold 9790


JW1980 wrote:

 

Just one more question. If I delete the vendor.xml file that means I can install any OS as long as its been made for my handset model. That means I could install say version 7.1 that has been released from another carrier.


Yes, that is correct. Witness -- I am on AT&T on a 9860. At present, AT&T has only released 7.0.0.576. But, by virtue of deleting VENDOR.XML (two copies, in my case), I am now running 7.1.0.342 (from TeleNor Norway) on my 9860.


JW1980 wrote:

 

Would this result in possible loss of functions though as not specifically written for my carrier?


Up until a couple of weeks ago, I would have said 100% "no" to that question. But, recently, another poster here was having trouble installing the ScreenReader app on their BB. The resolution turned out to be for them to fall back to a slightly older OS, from a different carrier...somehow, the OS package from their own carrier was blocking the ScreenReader app. A very odd and rare situation, but it indeed knocks down my prior 100% to something less.

 

Nevertheless, what the carriers do is indeed bundle, into the OS package, some other things from them when they "wrap" it (e.g., with VENDOR.XML). But, those other things are also typically pushed out by the carrier via Service Books, which means that even if something specific from your carrier were left out of the OS package you use from a different carrier, it is most likely that your carrier will still push it out to your BB via Service Books. Witness again...with my running of a TeleNor Norway OS package, I still receive the special "App Store" that AT&T pushes out over and above the RIM-provided AppWorld.

 

Note that the core of the OS is identical, regardless of what carrier releases it; 7.1.0.342 for the 9860 is identical, at it's core, from any and all carriers. What the carriers do is "wrap it" with these other things (though the experience with ScreenReader may call into question exactly how that "wrapping" works...) that they wish to push/control to/over their end users.


Occam's Razor nearly always applies when troubleshooting technology issues!
If anyone has been helpful to you, please show your appreciation by clicking the button inside of their post. Please click here and read, along with the threads to which it links, for helpful information to guide you as you proceed. I always recommend that you treat your BlackBerry like any other computing device, including using a regular backup schedule...click here for an article with instructions.
Join our BBM Channels
BSCF General Channel
PIN: C0001B7B4   Display/Scan Bar Code
Knowledge Base Updates
PIN: C0005A9AA   Display/Scan Bar Code
Please use plain text.
New Contributor
JW1980
Posts: 7
Registered: ‎04-25-2012
My Device: Bold 9790
My Carrier: Orange UK

Re: Help ! Cannot update my Bold 9790

Hi Ok,

 

Many thanks for clearing that final question up.

 

I think to start with I will try the version my carrier is recommending just in case of any issues.

 

Once I am happy with that I may move onto the 7.1 from another if Orange don't push it out.

 

Will give this a go over the next few days, work allowing time of course.

 

Will let you know how I get on.

 

Thanks

Please use plain text.